%define	name	knetfilter
%define	version	3.1.2
%define	release	3mdk

Name: 		%name
Summary: 	KNetFilter - A GUI for configuring the 2.4 kernel IP Tables
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Networking/Other
Source: 	%{name}-%{version}.tar.bz2

#Patch:		%{name}-fix-install.patch.bz2

BuildRoot: 	%_tmppath/%{name}-buildroot
Requires: 	iptables
BuildRequires:	iptables libqt3-devel zlib-devel kdelibs-devel libpng-devel libfam-devel
Url: 		http://expansa.sns.it:8080/knetfilter/

Obsoletes:	kde3-knetfilter
Provides:	kde3-knetfilter

%description
Knetfilter is a GUI to configure your 2.4 kernel IP firewalling,
masquerading and NAT rules.

%prep
%setup -q
#%patch -p1

%build
export PATH="$PATH:/sbin"
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Knetfilter"\
longtitle="KDE frontend to iptables"\
needs="x11"\
icon="other_networking.png"\
section="Networking/Other"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (755,root,root,755)
%_bindir/*
%defattr (644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.QoS README.first TODO VERSION
%_datadir/applnk/Internet/%{name}.desktop
#%_datadir/apps/knetfilter/
#%_datadir/doc/HTML/en/knetfilter/
%_datadir/icons/*
%_menudir/*

%changelog
* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-3mdk
- hm, stupid me, really fix path to qt3

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-2mdk
- fix path to qt3 (lib64 issues..)

* Sat Jun 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-1mdk
- 3.1.2
- rm -rf $RPM_BUILD_ROOT in correct stage
- configure and compile with optimizations
- drop /sbin/ldconfig in %%post and %%postun, no libraries in this package
- quiet setup
- drop patch
- macroize
- cleanups
- added docs
- force file permissions in file list
- fix buildrequires

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- buildrequires

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 3.0.2-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc-3.2

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-5mdk
- Fix build requires

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-4mdk
- rebuild against new libstdc++

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-3mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Rebuild against gcc3.1

* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Port to kde3

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- 2.2.5

* Mon Feb 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4
- makefile patch

* Wed Jan 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-3mdk
- Rebuild

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Update code 
- Fix menu entry

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1

* Tue Oct 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-2mdk
- rebuild against new libpng
- url

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- new
